<script lang="ts" setup>
import { ref } from 'vue';
import { usePaymentmethodStore } from "@/stores/paymentmethod";
import { useOrderStore } from "@/stores/order";
const orderStore = useOrderStore();
const paymentStore = usePaymentmethodStore();
const backendURL = import.meta.env.VITE_BACKEND_URL;
const image = ref("")
const selectedImage = ref('');

const handleImageChange = (event: any) => {
    const file = event.target.files[0];
    if (file) {
        selectedImage.value = URL.createObjectURL(file);
    }
};

</script>

<template>
    <v-dialog v-model="paymentStore.dialog" persistent max-width="800">
        <v-card>
            <v-row class="mt-8">
                <v-col cols="3"></v-col>
                <v-col><span class="fontTitle ml-14">หลักฐานการชำระเงิน</span></v-col>
            </v-row>
            <v-row>
                <v-col cols="3"></v-col>
                <v-col>
                    <v-card color="white" width="350px" height="250px" style="border: 1px solid rgba(0, 0, 0, 0.1);">
                        <v-img v-if="selectedImage" :src="selectedImage" height="230px"></v-img>
                    </v-card>
                </v-col>
            </v-row>
            <v-row>
                <v-col cols="3"></v-col>
                <v-col>
                    <v-file-input accent="image/*" label="เลือกรูปภาพ" class="custom-text-field"
                        @change="handleImageChange" v-model="orderStore.editedOrder.files">
                    </v-file-input>
                </v-col>
            </v-row>
            <v-row>
                <v-col cols="4"></v-col>
                <v-col cols="2"><v-btn class="font" @click="paymentStore.dialog = false">ยกเลิก</v-btn></v-col>
                <v-col cols="2">
                    <v-btn class="font"
                        @click="paymentStore.dialog = false, orderStore.uploadImage = true">ยืนยัน</v-btn>

                </v-col>
            </v-row>
            <v-card-actions>
                <v-spacer></v-spacer>
            </v-card-actions>
        </v-card>
    </v-dialog>
</template>

<style scoped>
.custom-text-field {
    width: 300px;
    height: 50px;
}

.fontTitle {
    text-align-last: center;
    font-family: fantasy;
    font-size: 35px;
    color: black;
}

.fontbtn {
    text-align-last: center;
    font-family: fantasy;
    font-size: 30px;
    color: black;
}

.font {
    text-align-last: center;
    font-family: fantasy;
    font-size: 20px;
    color: black;
}
</style>
